<?php
$tdataexpen_source = array();
$tdataexpen_source[".searchableFields"] = array();
$tdataexpen_source[".ShortName"] = "expen_source";
$tdataexpen_source[".OwnerID"] = "";
$tdataexpen_source[".OriginalTable"] = "expen_source";


$tdataexpen_source[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\",\"list2\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataexpen_source[".originalPagesByType"] = $tdataexpen_source[".pagesByType"];
$tdataexpen_source[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\",\"list2\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataexpen_source[".originalPages"] = $tdataexpen_source[".pages"];
$tdataexpen_source[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataexpen_source[".originalDefaultPages"] = $tdataexpen_source[".defaultPages"];

//	field labels
$fieldLabelsexpen_source = array();
$fieldToolTipsexpen_source = array();
$pageTitlesexpen_source = array();
$placeHoldersexpen_source = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsexpen_source["English"] = array();
	$fieldToolTipsexpen_source["English"] = array();
	$placeHoldersexpen_source["English"] = array();
	$pageTitlesexpen_source["English"] = array();
	$fieldLabelsexpen_source["English"]["id"] = "Id";
	$fieldToolTipsexpen_source["English"]["id"] = "";
	$placeHoldersexpen_source["English"]["id"] = "";
	$fieldLabelsexpen_source["English"]["source"] = "Source";
	$fieldToolTipsexpen_source["English"]["source"] = "";
	$placeHoldersexpen_source["English"]["source"] = "";
	$pageTitlesexpen_source["English"]["edit"] = "Expen Source, Edit - {%id}";
	if (count($fieldToolTipsexpen_source["English"]))
		$tdataexpen_source[".isUseToolTips"] = true;
}


	$tdataexpen_source[".NCSearch"] = true;



$tdataexpen_source[".shortTableName"] = "expen_source";
$tdataexpen_source[".nSecOptions"] = 0;

$tdataexpen_source[".mainTableOwnerID"] = "";
$tdataexpen_source[".entityType"] = 0;
$tdataexpen_source[".connId"] = "test2_at_localhost";


$tdataexpen_source[".strOriginalTableName"] = "expen_source";

	



$tdataexpen_source[".showAddInPopup"] = false;

$tdataexpen_source[".showEditInPopup"] = false;

$tdataexpen_source[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataexpen_source[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataexpen_source[".listAjax"] = false;
//	temporary
$tdataexpen_source[".listAjax"] = false;

	$tdataexpen_source[".audit"] = true;

	$tdataexpen_source[".locking"] = false;


$pages = $tdataexpen_source[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataexpen_source[".edit"] = true;
	$tdataexpen_source[".afterEditAction"] = 1;
	$tdataexpen_source[".closePopupAfterEdit"] = 1;
	$tdataexpen_source[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataexpen_source[".add"] = true;
$tdataexpen_source[".afterAddAction"] = 1;
$tdataexpen_source[".closePopupAfterAdd"] = 1;
$tdataexpen_source[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataexpen_source[".list"] = true;
}



$tdataexpen_source[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataexpen_source[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataexpen_source[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataexpen_source[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataexpen_source[".printFriendly"] = true;
}



$tdataexpen_source[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataexpen_source[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataexpen_source[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataexpen_source[".isUseAjaxSuggest"] = true;

$tdataexpen_source[".rowHighlite"] = true;



																																																			

$tdataexpen_source[".ajaxCodeSnippetAdded"] = false;

$tdataexpen_source[".buttonsAdded"] = false;

$tdataexpen_source[".addPageEvents"] = false;

// use timepicker for search panel
$tdataexpen_source[".isUseTimeForSearch"] = false;


$tdataexpen_source[".badgeColor"] = "4682b4";


$tdataexpen_source[".allSearchFields"] = array();
$tdataexpen_source[".filterFields"] = array();
$tdataexpen_source[".requiredSearchFields"] = array();

$tdataexpen_source[".googleLikeFields"] = array();
$tdataexpen_source[".googleLikeFields"][] = "id";
$tdataexpen_source[".googleLikeFields"][] = "source";



$tdataexpen_source[".tableType"] = "list";

$tdataexpen_source[".printerPageOrientation"] = 0;
$tdataexpen_source[".nPrinterPageScale"] = 100;

$tdataexpen_source[".nPrinterSplitRecords"] = 40;

$tdataexpen_source[".geocodingEnabled"] = false;










$tdataexpen_source[".pageSize"] = 20;

$tdataexpen_source[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataexpen_source[".strOrderBy"] = $tstrOrderBy;

$tdataexpen_source[".orderindexes"] = array();


$tdataexpen_source[".sqlHead"] = "SELECT id,  	source";
$tdataexpen_source[".sqlFrom"] = "FROM expen_source";
$tdataexpen_source[".sqlWhereExpr"] = "";
$tdataexpen_source[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataexpen_source[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataexpen_source[".arrGroupsPerPage"] = $arrGPP;

$tdataexpen_source[".highlightSearchResults"] = true;

$tableKeysexpen_source = array();
$tableKeysexpen_source[] = "id";
$tdataexpen_source[".Keys"] = $tableKeysexpen_source;


$tdataexpen_source[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "expen_source";
	$fdata["Label"] = GetFieldLabel("expen_source","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpen_source["id"] = $fdata;
		$tdataexpen_source[".searchableFields"][] = "id";
//	source
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "source";
	$fdata["GoodName"] = "source";
	$fdata["ownerTable"] = "expen_source";
	$fdata["Label"] = GetFieldLabel("expen_source","source");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "source";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "source";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpen_source["source"] = $fdata;
		$tdataexpen_source[".searchableFields"][] = "source";


$tables_data["expen_source"]=&$tdataexpen_source;
$field_labels["expen_source"] = &$fieldLabelsexpen_source;
$fieldToolTips["expen_source"] = &$fieldToolTipsexpen_source;
$placeHolders["expen_source"] = &$placeHoldersexpen_source;
$page_titles["expen_source"] = &$pageTitlesexpen_source;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["expen_source"] = array();
//	expenditure_data
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="expenditure_data";
		$detailsParam["dOriginalTable"] = "expenditure_data";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "expenditure_data";
	$detailsParam["dCaptionTable"] = GetTableCaption("expenditure_data");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["expen_source"][$dIndex] = $detailsParam;

	
		$detailsTablesData["expen_source"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["expen_source"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["expen_source"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["expen_source"][$dIndex]["detailKeys"][]="details";

// tables which are master tables for current table (detail)
$masterTablesData["expen_source"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_expen_source()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	source";
$proto0["m_strFrom"] = "FROM expen_source";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "expen_source",
	"m_srcTableName" => "expen_source"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "expen_source";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "source",
	"m_strTable" => "expen_source",
	"m_srcTableName" => "expen_source"
));

$proto8["m_sql"] = "source";
$proto8["m_srcTableName"] = "expen_source";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "expen_source";
$proto11["m_srcTableName"] = "expen_source";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "source";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "expen_source";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "expen_source";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="expen_source";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_expen_source = createSqlQuery_expen_source();


	
		;

		

$tdataexpen_source[".sqlquery"] = $queryData_expen_source;



$tableEvents["expen_source"] = new eventsBase;
$tdataexpen_source[".hasEvents"] = false;

?>